[
  {
    "chunk_id": 3,
    "chunk_type": "parameters",
    "human_description": "These are all parameter definitions for report 'TableReport', total 1 parameters. Parameters: TableDataSource(net.sf.jasperreports.engine.JRDataSource).",
    "raw_xml": "<parameter name=\"TableDataSource\" class=\"net.sf.jasperreports.engine.JRDataSource\">\n\t\t<defaultValueExpression>new net.sf.jasperreports.engine.JREmptyDataSource(50)</defaultValueExpression>\n\t</parameter>\n\t",
    "context": "Report 'TableReport' parameter definitions",
    "metadata": {
      "parameter_names": [
        "TableDataSource"
      ],
      "parameter_types": {
        "TableDataSource": "net.sf.jasperreports.engine.JRDataSource"
      },
      "default_values": {
        "TableDataSource": "new net.sf.jasperreports.engine.JREmptyDataSource(50)"
      },
      "count": 1
    }
  },
  {
    "chunk_id": 3,
    "chunk_type": "parameters",
    "human_description": "These are all parameter definitions for report 'TableReport', total 1 parameters. Parameters: TableDataSource(net.sf.jasperreports.engine.JRDataSource).",
    "raw_xml": "<parameter name=\"TableDataSource\" class=\"net.sf.jasperreports.engine.JRDataSource\">\n\t\t<defaultValueExpression>new net.sf.jasperreports.engine.JREmptyDataSource(50)</defaultValueExpression>\n\t</parameter>\n\t",
    "context": "Report 'TableReport' parameter definitions",
    "metadata": {
      "parameter_names": [
        "TableDataSource"
      ],
      "parameter_types": {
        "TableDataSource": "net.sf.jasperreports.engine.JRDataSource"
      },
      "default_values": {
        "TableDataSource": "new net.sf.jasperreports.engine.JREmptyDataSource(50)"
      },
      "count": 1
    }
  }
]